# Browse and subscribe to streams

On Zulip, users primarily communicate with each other by sending messages
to streams, which are similar to conversation threads.  New
users are automatically subscribed to the organization's default
streams; however, users may want to subscribe to additional streams or
browse the list of streams that they subscribe to.

## Browse streams

1. Click the cog (<i class="icon-vector-cog"></i>) icon next to **Streams**
in the left sidebar. A tooltip labeled **Subscribe, add, or
configure streams** will appear upon hovering above the cog.

    ![Streams cog and tooltip](/static/images/help/streams-1.png)

2. After clicking the cog (<i class="icon-vector-cog"></i>) icon, the
[Streams](/#streams) page will now appear, showing all streams
that you've subscribed to by default.

    ![Streams page](/static/images/help/streams-overview.png)

    Here, you can explore all the public streams in the organization.
You can also [create a new stream](create-a-stream) by clicking the plus
(<i class="icon-vector-plus"></i>) icon.

* {!all-streams.md!}

    ![All streams](/static/images/help/all-streams.png)

* {!filter-streams.md!}

    ![Filter streams box](/static/images/help/filter-stream.png)

* Upon selecting a stream in the [Streams](/#streams) page,
{!stream-settings.md!}

    ![Stream settings](/static/images/help/stream-overview.png)

## Subscribing to streams

Users can choose to subscribe to any public stream in the organization.

### Subscribing when a stream is created

When users create a public stream, they can choose to alert all users
in the organization about their stream's creation.

Thus, you may be notified about the stream's creation with a message
sent by the notification bot such as the one in the
following image.

![Streams subscribe alert](/static/images/help/stream-subscribe.png)

The message will present to you the option of subscribing to the stream,
and you can do so by simply clicking **Subscribe to 'stream name'**
button.

### Subscribing later

However, if you were not notified about the stream's creation,
you can subscribe to a stream by navigating to the
[Streams](/#streams) page.

{!subscriptions.md!}

2. {!all-streams.md!}

3. Click on the area to the left of the stream that you would like to
subscribe to.

    ![Subscribe before](/static/images/help/subscribe-before.png)

    A green checkmark will appear next to the stream that you've just
subscribed to, and you will now be able to read and send messages in
that stream.
