# Enable high contrast mode for accessibility

Zulip is designed with accessibility in mind. We aim to provide all
users with the same quality of experience with our product: you can
read more about our practises in our
[documentation](https://zulip.readthedocs.io/en/latest/contributing/accessibility.html).

By default, some items of the UI (such as date/time stamps, certain
buttons, links and unread counts) are intentionally light in order to
avoid having too much emphasis. However, you can choose to increase
the contrast of the user interface by using the following procedure:

1. Go to the [Display settings](/#settings/display-settings)
{!settings.md!}

2. Select the option labeled **Enable high contrast mode**.

## Display emoji reactions as text

You might also wish to change the way emoji reactions to messages are
displayed to increase readability. With this setting, a heart emoji
will instead be displayed as `:heart:`.

1. Go to the [Display settings](/#settings/display-settings)
{!settings.md!}

2. Select the option labeled **Display emoji reactions as text**.
