## Guides
* [Getting started with Zulip](/help/getting-started-with-zulip)
* [Setting up your organization](/help/getting-your-organization-started-with-zulip)

# Using Zulip

## Account basics
* [Change your name](/help/change-your-name)
* [Change your email address](/help/change-your-email-address)
* [Manage your password](/help/change-your-password)
* [Edit your settings](/help/change-your-settings)
* [Set your avatar](/help/change-your-avatar)
* [Change your default language](/help/change-your-language)
* [Use 24-hour time](/help/change-the-date-and-time-format)
* [Joining an organization](/help/join-a-zulip-organization)
* [Logging in](/help/logging-in)
* [Logging out](/help/logging-out)
<!-- Find your Zulip organization -->
* [Keyboard shortcuts](/help/keyboard-shortcuts)
* [Deactivate your account](/help/deactivate-your-account)
* [Zulip glossary](/help/zulip-glossary)
* [The Zulip browser window](/help/the-zulip-browser-window)

## Sending messages
* [Send a stream message](/help/send-a-stream-message)
* [Private messages](/help/send-a-private-message)
* [Group private messages](/help/send-a-group-of-people-a-private-message)
* [Format messages using Markdown](/help/format-your-message-using-markdown)
* [Preview messages before sending](/help/preview-your-message-before-sending)
* [Message drafts](/help/view-and-edit-your-message-drafts)
* [Emoji](/help/add-emoji)
* [Video calls](/help/start-a-call)
* [Share and upload files](/help/upload-and-share-files)
* [Manage your uploaded files](/help/manage-your-uploaded-files)
<!-- Automatically link to an external issue tracker (improve wording) -->
* [Enable pressing Enter to send](/help/enable-or-disable-pressing-enter-to-send)
* [Verify a message was sent](/help/verify-that-your-message-has-been-successfully-sent)
<!-- What to do if the server returns an error -->
* [Status messages](/help/format-your-message-using-markdown#status-messages)
* [@-mention a user](/help/at-mention-a-team-member)
* [Write in a different language](/help/send-a-message-in-a-different-language)
* [Reply to a message](/help/reply-to-a-message)
* [Edit or delete a message](/help/edit-or-delete-a-message)
* [Edit the topic of a message](/help/change-the-topic-of-a-message)
* [Message a stream by email](/help/message-a-stream-by-email)
* [Notify everyone on a stream](/help/notify-everyone-on-a-stream)

## Reading messages
* [Navigation and unread counts](/help/unread-counter-and-pointer)
* [View the Markdown source of a message](/help/view-the-markdown-source-of-a-message)
* [View the exact time a message was sent](/help/view-the-exact-time-a-message-was-sent)
* [View an image at full size](/help/view-an-image-at-full-size)
* [See all images in a narrow](/help/view-an-image-at-full-size)
* [Collapse a message](/help/collapse-a-message)
* [Star a message](/help/star-a-message)
* [Emoji reactions](/help/add-an-emoji-reaction-to-a-message)
* [Share a message or conversation](/help/share-a-message-or-conversation)
* [Advanced search](/help/search-for-messages)
* [View a message's edit history](/help/view-a-messages-edit-history)
* [Reading by stream or topic](/help/reading-messages-by-stream-or-topic)
* [Private messages and group PMs](/help/view-your-pms-and-group-pms)

## People
* [Check whether someone is on-line](/help/check-whether-someone-is-here-or-away)
* [Invite another user](/help/invite-a-friend-to-zulip)

## Streams & topics
* [About streams and topics](/help/about-streams-and-topics)
* [Browse and subscribe to streams](/help/browse-and-subscribe-to-streams)
* [Create a stream](/help/create-a-stream)
* [View your stream subscriptions](/help/browse-and-subscribe-to-streams#browse-streams)
* [Add someone to a stream](/help/add-or-remove-users-from-a-stream)
* [Change the stream description](/help/change-the-stream-description)
* [Rename a stream](/help/rename-a-stream)
* [Unsubscribe from a stream](/help/unsubscribe-from-a-stream)
* [Make a private stream public](/help/change-the-privacy-of-a-stream#make-a-private-stream-public)
* [Make a public stream private](/help/change-the-privacy-of-a-stream)
* [Organize the Streams sidebar](/help/organize-the-streams-sidebar)
* [Pin a stream](/help/pin-a-stream)
* [Change the color of a stream](/help/change-the-color-of-a-stream)
* [Message a stream by email](/help/message-a-stream-by-email)

## Notifications
* [Mute or unmute a stream](/help/mute-a-stream)
* [Mute or unmute a topic](/help/mute-a-topic)
* [Set notifications for a single stream](/help/set-notifications-for-a-single-stream)
* [Desktop notifications](/help/configure-desktop-notifications)
* [Email notifications](/help/configure-email-notifications)
* [Mobile notifications](/help/configure-mobile-notifications)
* [Digest emails](/help/configure-email-digest-notifications)
* [Add an alert word](/help/add-an-alert-word)
* [Notify everyone on a stream](/help/notify-everyone-on-a-stream)

## Tools & customization
* [Bots and integrations](/help/add-a-bot-or-integration)
* [Enable high contrast mode](/help/enable-high-contrast-mode)
* [Enable night mode](/help/enable-night-mode)
* [Enable emoticon translations](/help/enable-emoticon-translations)
* [Display the buddy list on narrow screens](/help/move-the-users-list-to-the-left-sidebar)
* [View organization statistics](/help/analytics)

## Apps
* [Desktop installation guides](/help/desktop-app-install-guide)
* [Tips for Zulip on Windows](/help/zulip-on-windows)
* [Tips for Zulip on Android](/help/zulip-on-android)
* [Zulip in a Terminal](/help/zulip-in-a-terminal)
<!-- Zulip on macOS -->
<!-- Zulip on Linux -->
<!-- Zulip on iOS -->
<!-- Connect to Zulip over IRC/etc (not implemented?) -->

# Zulip administration

## Organization basics
* [Create your organization's profile](/help/create-your-organization-profile)
* [Update your organization's settings](/help/change-your-organization-settings)
* [Link to your Zulip from the web](/help/join-zulip-chat-badge)
* [Import data from Slack](/help/import-data-from-slack)
* [Restrict new users by email domain](/help/restrict-user-email-addresses-to-certain-domains)
* [Allow joining without an invitation](/help/allow-anyone-to-join-without-an-invitation)
* [Manage who can send invitations](/help/only-allow-admins-to-invite-new-users)
* [Set the default language for new users](/help/change-the-default-language-for-your-organization)

## Organization settings
* [Restrict stream creation](/help/only-allow-admins-to-create-new-streams-feature)
* [Change who can add custom emoji](/help/only-allow-admins-to-add-emoji)
* [Block image and link previews](/help/allow-image-link-previews)
* [Restrict name and email changes](/help/restrict-name-and-email-changes)
* [Disable message edit history](/help/disable-message-edit-history)
* [Manage editing of old messages](/help/restrict-editing-of-old-messages-and-topics)
* [Require topics in stream messages](/help/require-users-to-include-topics-in-stream-messages)
* [Add custom emoji](/help/add-custom-emoji)
* [Configure authentication methods](/help/configure-authentication-methods)
* [Add a custom linkification filter](/help/add-a-custom-linkification-filter)


## Server settings
* [Add a link preview](/help/add-a-link-preview)

## Users & bots
* [Deactivate or reactivate a user](/help/deactivate-or-reactivate-a-user)
* [Deactivate or reactivate a bot](/help/deactivate-or-reactivate-a-bot)
* [Make a user an administrator](/help/make-a-user-an-administrator)
* [Change a user's name](/help/change-a-users-name)
* [View all bots in your organization](/help/view-all-bots-in-your-organization)

## Stream management
* [Delete or archive a stream](/help/delete-a-stream)
* [Set default streams for new users](/help/set-default-streams-for-new-users)
* [Rename a stream](/help/rename-a-stream)
* [Change a stream's description](/help/change-the-stream-description)
* [Make a private stream public](/help/change-the-privacy-of-a-stream#make-a-private-stream-public)
* [Make a public stream private](/help/change-the-privacy-of-a-stream)
* [Add or remove users from a stream](/help/add-or-remove-users-from-a-stream)
