# Logging in

Zulip offers three ways to log in: e-mail and password, Google
credentials, and GitHub credentials. Your organization's administrator
may choose to enable or disable any of these options. So don't worry
if your login page doesn't have some of the options described here!

## Logging in with your email address

You can log into your Zulip organization using your email address by
following a few simple steps.

1. In the field labeled **Email**, enter the email address that you
   used to sign up for Zulip. Please note that the **Email** field is
   case-sensitive.

    !!! tip ""
        If you've forgotten which email you used to sign up for
        Zulip, you can try searching your email accounts for the
        e-mail you received when you first signed up. The subject line
        is "Welcome to Zulip".

2. In the field labeled **Password**, enter your password. Please note
   that the **Password** field is case-sensitive.

    !!! tip ""
        If you've forgotten your password, see the
        [Change your password](/help/change-your-password) page for
        instructions on how to reset it.

## Logging in with your Google account

If your organization has enabled Google authentication, you can log
into Zulip using your Google account by following a few simple steps.

1. Click the **Log in with Google** button located under the
   **Login** button and **Forgot your password?** link.

    ![Zulip log in Google](/static/images/help/login-with-google.png)

2. If you are not signed into a Google account, Google will ask you to
   enter the credentials to your Google account.

    ![Zulip log in Google login](/static/images/help/google-login.png)

3. If you're logging into Zulip with a Google account for the first
   time, you will be taken to a page titled **Request for
   permission**.

    ![Zulip log in Google Request Permission](/static/images/help/google-request.png)

    Zulip requires knowledge of your email address and basic profile
    info, such as your name, for login purposes.

4. Click the **Allow** button to finish your Google login.

    If you click the **Deny** button, Zulip cannot finish logging you
    in, and you will be redirected to the Zulip login page.

## Logging in with your GitHub account

If your organization has enabled GitHub authentication, you can log into
Zulip using your GitHub account by following a few simple steps.

1. Click the **Log in with GitHub** button located under the **Log in with Google** button.

    ![Zulip log in GitHub](/static/images/help/login-with-github.png)

2. If you are not logged into a GitHub account, GitHub will ask you to
   enter the credentials for your GitHub account.

    ![Zulip log in GitHub login](/static/images/help/github-login.png)

3. If you're logging into Zulip with a GitHub account for the first
   time, you will be taken to a page titled **Authorize application**.

    ![Zulip log in GitHub Request Permission](/static/images/help/github-request.png)

    Zulip requires user data such as your email address and name for login purposes.

4. Click the green **Authorize application** button to finish your GitHub login.
