# Manage your uploaded files

Follow the following steps to view and manage the uploaded files to your organization.

## View your uploaded files

To view your uploaded files, go to the [Uploaded files](/#settings/uploaded-files)
{!settings.md!}

All of your uploaded files are displayed in the following format:

![Uploaded file info](/static/images/help/uploaded-file.png)

* The **File type** section (highlighted in green in the previous image) denotes
the file type of the uploaded file.

    In this example, **png** is the file type of the uploaded file.

* The **File name** section (highlighted in red in the previous image) details
the file name of the uploaded file.

    In this example, the file name of the uploaded file is **bug.png**.

* The **Message ID** section (highlighted in purple in the previous image) shows
the ID of the message that the uploaded file was attached to.

    In this example, the message ID is **#78184**.

* The **Timestamp** section (highlighted in blue in the previous image) shows
the exact date and time at which the message containing the file upload was sent.

    In this example, the timestamp is **Dec 5, 00:36 AM**.

!!! tip ""
    Click on the section containing the message ID and timestamp to narrow your
    view to the message containing the particular file upload to see
    what it was.

## Delete an uploaded file

You can delete any of your uploaded files from your organization; however, doing
so may confuse some of the other users in your organization since they can no
longer view the file, so please be careful!

1. Go to the [Uploaded files](/#settings/uploaded-files)
{!settings.md!}

2. Locate the file you want to delete in the **Uploaded files** section; the
files are sorted by the time they were uploaded, oldest to newest.

3. Click the trash (<i class="icon-vector-trash"></i>) icon to the right of the
file you want to delete.

4. Upon clicking on the trash (<i class="icon-vector-trash"></i>) icon, the
uploaded file will be removed from the **Uploaded files** section, confirming
the success of your file deletion.
