# Send a private message

Follow the following steps to send a new private message.

## Open a new compose box for private messaging

There are several ways to get a compose box for private messaging.

### Fill out all the fields yourself

1. If the compose box is not currently open, click the **New private message**
button located near the bottom of the screen.
The compose box will open, showing the **one or more people...** and
**Compose your message here...** inputs.

    ![Private message](/static/images/help/private-box.png)

2. In the **one or more people...** field, input the username or email
address of the user you want to privately message. When you begin
typing an email address or username, autocomplete suggestions will
appear.

### Autopopulate private message addressee

You can also compose a private message to someone using the user card. There
are three ways to get to the user card.

1. In the user list on the right sidebar, hover over the name of the user you
want to privately message to reveal a down chevron (<i class="icon-vector-
chevron-down"></i>) icon to the right of the user's name. Click on the {!down-
chevron.md!}

    !!! tip ""
        You can search for a specific user by entering the user's name in
        the **Search users** input.

2. Click on the @mention of someone in chat text.

3. Click on the name of the author of a message.

Once you have the user card displayed, select the **Send private message**
option from the actions dropdown.  This will open the compose box with the
target user as the recipient.

### Use a keyboard shortcut

You can open a compose box with the addressee autopopulated if you press `R`
while a message is highlighted, but the compose box is not open. You can close
the compose box by pressing `Esc` or by clicking the x (<i class="icon-vector-
remove"></i>) icon located at the top right corner of the compose box. Look
[here](/help/keyboard-shortcuts) for more keyboard shortcuts.

## View your private message history with a user and compose

If you'd like to look at your message history with a user while you
compose your message, do the following:

1. In the user list on the right sidebar, click on the name of the user
you want to privately message.

    !!! tip ""
        You can search for a specific user by entering the user's name in
        the **Search users** input.

2. Upon clicking on the user's name, your view will be narrowed to your
private message history with the selected user, and the compose box will be
transformed to include the selected user's email address in the
**one or more people...** field.

## Compose and send the private message

1. Once you have the private message compose box open, you can enter your
message in the **Compose your message here...** field.

2. Once you have finished completing your message and adding the recipients,
you can now send your message to the specified user(s) by pressing the Enter
key or clicking the **Send** button, depending on your settings.

    !!! tip ""
        Whether or not the **Press Enter to send** option is enabled, pressing
        `Ctrl` + `Enter` or `Tab` then `Enter` sends a message, while pressing
        `Shift` + `Enter` inserts a new line in your message.

## Cancel a private message

You can always cancel your message by clicking the x (<i
class="icon-vector-remove"></i>) icon located at the top right corner of
your compose box or pressing the `Esc` key.
